/////////////////////////////////////////////////////
// lolimot_read                                    //
//                                                 //
// Read a lolimot model previously stored on drive //
/////////////////////////////////////////////////////

function [err, modelOut] = lolimot_read(Filename)
    [fid, err] = mopen(Filename,'r');
    if err then return; end;

    modelOut = mlist(['lolimot','type','nbdim','sigma','listofmod','listofcutinf','listofcutplus','listofresidual','residual', 'min', 'max', ...
    [],    [],     [],     [],         [],           [],              [],              []          []     []]);

    txt = mgetl(fid,1); modelOut('nbdim')    = evstr(txt);
    txt = mgetl(fid,1); modelOut('sigma')    = evstr(txt);
    txt = mgetl(fid,1); modelOut('residual') = evstr(txt);
    txt = mgetl(fid,1); nopart = evstr(txt);

    // We read the list of models
    modelOut('listofmod') = [];
    for i = 1:nopart
        txt = mgetl(fid,1);
        modelOut('listofmod') = [modelOut('listofmod'); evstr(tokens(txt,' '))'];
    end
    // We read the list of inf cuts
    modelOut('listofcutinf') = [];
    for i = 1:nopart
        txt = mgetl(fid,1);
        modelOut('listofcutinf') = [modelOut('listofcutinf'); evstr(tokens(txt,' '))'];
    end
    // We save the list of inf plus
    modelOut('listofcutplus') = [];
    for i=1:nopart
        txt = mgetl(fid,1);
        modelOut('listofcutplus') = [modelOut('listofcutplus'); evstr(tokens(txt,' '))'];
    end
    // We save the list of residuals
    txt = mgetl(fid,1);
    modelOut('listofresidual') = evstr(tokens(txt,' '))';
    // We read the min bounds
    txt = mgetl(fid,1);
    modelOut('min') = evstr(tokens(txt,' '))';
    // We read the max bounds
    txt = mgetl(fid,1);
    modelOut('max') = evstr(tokens(txt,' '))';
    txt = mgetl(fid,1);
    modelOut('type') = txt;
    mclose(fid);
endfunction

